#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2accfb66, "power_supply_changed" },
	{ 0x1d2f9401, "hid_report_raw_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x99d1b462, "hid_field_extract" },
	{ 0x8b13a8b8, "hid_snto32" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc01056e6, "devm_kmalloc" },
	{ 0x8f49dcbe, "hid_open_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x521a6bfd, "sysfs_create_group" },
	{ 0x93296987, "hid_hw_start" },
	{ 0xcf2a6966, "up" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x78e1a108, "hid_connect" },
	{ 0xf421a182, "input_ff_create" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8edea9e7, "devm_kfree" },
	{ 0x14750de1, "device_create_file" },
	{ 0x2a8e4d8e, "devm_kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x319c07ab, "devm_power_supply_register" },
	{ 0x6e1291c0, "power_supply_powers" },
	{ 0x3757d771, "devm_input_allocate_device" },
	{ 0xecdecc19, "input_register_device" },
	{ 0xcd95de40, "devm_kasprintf" },
	{ 0xf2fb84ad, "input_free_device" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x851729cc, "__hid_register_driver" },
	{ 0x5ea18102, "input_event" },
	{ 0x3a26ed11, "sched_clock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0xf136bd27, "hid_is_usb" },
	{ 0xa9fb43c1, "usb_set_wireless_status" },
	{ 0x79fba69e, "input_mt_get_slot_by_key" },
	{ 0x8d3ce5bc, "input_mt_report_slot_state" },
	{ 0xa656fc45, "input_mt_sync_frame" },
	{ 0x5738f80f, "sysfs_remove_group" },
	{ 0xc568d4b, "hid_hw_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x20dfa9f4, "hid_hw_open" },
	{ 0xb2eacf29, "hid_hw_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x19582a62, "hid_hw_output_report" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2047d224, "hid_hw_raw_request" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x235bcd9b, "power_supply_get_drvdata" },
	{ 0x5a921311, "strncmp" },
	{ 0x96848186, "scnprintf" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x90918b95, "device_remove_file" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37a0cba, "kfree" },
	{ 0xa26b65c1, "hid_unregister_driver" },
	{ 0xc310b981, "strnstr" },
	{ 0xbc45bed8, "input_set_abs_params" },
	{ 0xc487411f, "input_alloc_absinfo" },
	{ 0xffd6aad7, "input_set_capability" },
	{ 0xfb4399c8, "input_mt_init_slots" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "usbhid,usbcore");

MODULE_ALIAS("hid:b0003g0102v0000046Dp00004011");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004101");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B00C");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00001017");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000402D");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101A");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004024");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004002");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B305");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B309");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp*");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000049");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000057");
MODULE_ALIAS("hid:b0003g0104v0000046Dp0000005C");
MODULE_ALIAS("hid:b0003g0104v0000046Dp000000FE");
MODULE_ALIAS("hid:b0003g0104v0000046Dp*");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C082");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C087");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C090");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C081");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C086");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C091");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C343");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C262");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C26E");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C088");
MODULE_ALIAS("hid:b0003g*v0000046Dp00000A87");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B305");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B309");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B35F");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B008");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B012");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B015");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01D");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01E");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B02A");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B023");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B034");

MODULE_INFO(srcversion, "22D31EA78E1FE5F246DADD0");

MODULE_INFO(suserelease, "ALP-0.1");
