#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx88_video_mux, 0x37ae8d14, "");
SYMBOL_CRC(cx88_querycap, 0x3e6505e8, "");
SYMBOL_CRC(cx88_enum_input, 0xb5a04929, "");
SYMBOL_CRC(cx88_set_freq, 0x807d6a37, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x97596cc0, "cx88_ir_stop" },
	{ 0xea6f865b, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x390ebb32, "video_devdata" },
	{ 0x4cf9fa00, "cx88_set_tvnorm" },
	{ 0xab89b3dd, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xce36b558, "v4l2_ctrl_find" },
	{ 0x52dc1c8e, "cx88_ir_start" },
	{ 0xa9e4df34, "__v4l2_ctrl_s_ctrl" },
	{ 0xbd04a34c, "vb2_plane_cookie" },
	{ 0x4cceb992, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x32161ead, "cx88_risc_buffer" },
	{ 0xae71bf62, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbaef09d5, "cx88_set_stereo" },
	{ 0xa76b4dc2, "vb2_buffer_done" },
	{ 0xefbd1fb1, "v4l2_ctrl_subscribe_event" },
	{ 0x92498454, "video_unregister_device" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0x8a4d1d4a, "i2c_new_client_device" },
	{ 0xbe286c20, "vb2_ioctl_qbuf" },
	{ 0x9f2675d2, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a07eb46, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xd59b42d4, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x815dfe98, "vb2_fop_read" },
	{ 0xe14620f8, "cx88_sram_channel_dump" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0xff116662, "cx88_sram_channel_setup" },
	{ 0xa5eea68, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x94d6e96f, "__video_register_device" },
	{ 0xaa7318e8, "vb2_ops_wait_prepare" },
	{ 0x7bf843, "vb2_ioctl_streamon" },
	{ 0x3bfadbbc, "vb2_fop_poll" },
	{ 0x5274ce47, "v4l2_ctrl_new_std" },
	{ 0x56d815cd, "pci_disable_device" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x304067c0, "v4l2_i2c_new_subdev" },
	{ 0x4030e156, "pci_read_config_byte" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7cf566ca, "cx88_newstation" },
	{ 0xca105477, "v4l2_event_unsubscribe" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb8b7c97, "vb2_ioctl_reqbufs" },
	{ 0xa39aaee9, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5f760945, "vb2_dma_sg_memops" },
	{ 0x560db99b, "cx88_reset" },
	{ 0xc705882, "v4l2_ctrl_poll" },
	{ 0x1f318804, "video_ioctl2" },
	{ 0x2fdfdfd0, "cx88_wakeup" },
	{ 0xdb8b3690, "pci_enable_device" },
	{ 0x411f4d43, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x5eef797d, "v4l2_ctrl_add_handler" },
	{ 0xa58e26f5, "v4l2_i2c_new_subdev_board" },
	{ 0x8870081f, "cx88_set_scale" },
	{ 0x4bf64ee7, "vb2_ops_wait_finish" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0x2ba7fb28, "cx88_shutdown" },
	{ 0x8653751b, "cx88_vdev_init" },
	{ 0x5fbf5b22, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b015f24, "vb2_ioctl_querybuf" },
	{ 0xe10f3ff9, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x99f0bce5, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf1f09bcc, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa682ea8, "wake_up_process" },
	{ 0x686bf9e9, "cx88_core_get" },
	{ 0x3620f481, "cx88_get_stereo" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F82C2C71A3FB5A6ED5D72C8");

MODULE_INFO(suserelease, "ALP-0.1");
