#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ks8851_suspend, 0x4a52a768, "_gpl");
SYMBOL_CRC(ks8851_resume, 0xbccc1d70, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x96463de8, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x0e37b825, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb5a1cfd4, "__netdev_alloc_skb" },
	{ 0x2c5010a, "skb_put" },
	{ 0x727d2d84, "eth_type_trans" },
	{ 0xa9bb375f, "netif_rx" },
	{ 0x9d9512b, "mii_check_link" },
	{ 0xb2c0e27f, "netif_tx_wake_queue" },
	{ 0x7f9dc7fb, "netdev_err" },
	{ 0xd589716d, "devm_gpiod_get_optional" },
	{ 0x75541e7e, "gpiod_set_consumer_name" },
	{ 0x9fdec363, "devm_regulator_get" },
	{ 0x9d80d67e, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xac30fe5, "gpiod_set_value_cansleep" },
	{ 0xee819111, "regulator_disable" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x434bc069, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa7e25e6f, "__mdiobus_register" },
	{ 0xff985568, "mdiobus_free" },
	{ 0xb88dc399, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9507d805, "mdiobus_unregister" },
	{ 0x21ae9cbe, "netdev_warn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x94781de2, "register_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x7241ed6a, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa6bbf3f7, "netif_device_attach" },
	{ 0x2e7fbfd1, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe6084801, "__dynamic_netdev_dbg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8d305903, "skb_dequeue" },
	{ 0x8a754a6c, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xddf046dd, "netdev_info" },
	{ 0x6a0331ca, "netif_device_detach" },
	{ 0x3181fb05, "generic_mii_ioctl" },
	{ 0xd6e65eee, "dev_addr_mod" },
	{ 0xbed81a30, "mii_ethtool_set_link_ksettings" },
	{ 0x1f0cb97, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0x55713093, "mii_link_ok" },
	{ 0xb90e219e, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "44111B8BEBE190F6978715B");

MODULE_INFO(suserelease, "ALP-0.1");
