#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d3f00a7, "mt76x2_mcu_set_channel" },
	{ 0xc8333295, "mt76x02_dma_disable" },
	{ 0x98a16842, "mt76x02_mcu_set_radio_state" },
	{ 0xadf48f66, "mt76_wake_tx_queue" },
	{ 0x62ccce7, "mt76x02e_init_beacon_config" },
	{ 0xbf07671d, "mt76_get_antenna" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0x25c01b4d, "mt76_set_stream_caps" },
	{ 0x6d216521, "mt76x2_apply_gain_adj" },
	{ 0xa3d4236a, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6a7e15c4, "pci_set_power_state" },
	{ 0x63f10b5, "mt76x02_sta_ps" },
	{ 0x2c829d26, "mt76x2_set_sar_specs" },
	{ 0xc79c1f60, "mt76x02_sta_rate_tbl_update" },
	{ 0x5d04c77d, "kthread_park" },
	{ 0xd0b60ddf, "mt76_dma_cleanup" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdeada13, "mt76x02_reconfig_complete" },
	{ 0xf67303bc, "mt76_alloc_device" },
	{ 0xa682ea8, "wake_up_process" },
	{ 0xefc350c7, "mt76x02_mac_shared_key_setup" },
	{ 0x4e5b21d7, "mt76x02_ext_pa_enabled" },
	{ 0xd7d01a61, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4293906, "mt76x2_mac_stop" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2ec5e4be, "mt76x02_set_tx_ackto" },
	{ 0xfe034131, "mt76x02_update_channel" },
	{ 0x110e22ba, "__napi_schedule" },
	{ 0xb3548b74, "mt76x2_configure_tx_delay" },
	{ 0xd52a853a, "mt76_pci_disable_aspm" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x7a8af3fd, "mt76x02_configure_filter" },
	{ 0x98f5bd1d, "mt76_free_device" },
	{ 0xe9d45875, "mt76x02_queue_rx_skb" },
	{ 0x708fe3de, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa776f580, "pcim_iomap_regions" },
	{ 0x79052e8d, "ieee80211_queue_delayed_work" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x310c3fe8, "mt76x02_rx_poll_complete" },
	{ 0x269c968, "mt76x02_mac_setaddr" },
	{ 0x2c4f7bd6, "mt76_register_device" },
	{ 0xc1171760, "mt76_set_tim" },
	{ 0x8570032a, "mt76x02_sw_scan_complete" },
	{ 0x5837956e, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7bfb829b, "mt76x02_phy_set_band" },
	{ 0xfc5b8247, "mt76_set_channel" },
	{ 0x26743d5, "mt76x02_init_device" },
	{ 0x47dd427a, "napi_enable" },
	{ 0x96604d9e, "mt76x02_tx" },
	{ 0x89356b66, "mt76_mmio_init" },
	{ 0x90ec21d4, "ieee80211_wake_queues" },
	{ 0x9225a910, "mt76x02_sta_remove" },
	{ 0x250b4b33, "mt76x02_edcca_init" },
	{ 0x5695a6c4, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7535442c, "mt76x02_sta_add" },
	{ 0x1d17a500, "mt76_unregister_device" },
	{ 0x5fd0db79, "mt76x2_mcu_load_cr" },
	{ 0xe01a3964, "pci_restore_state" },
	{ 0x5162fe67, "mt76x2_init_txpower" },
	{ 0x740ca9c7, "mt76x02_init_debugfs" },
	{ 0x16ea1239, "mt76_get_survey" },
	{ 0xc5f3fb2e, "ieee80211_emulate_add_chanctx" },
	{ 0x1a07eb46, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf17415d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xfa2b3c67, "mt76x2_mcu_init_gain" },
	{ 0x6774ccae, "mt76x02_set_rts_threshold" },
	{ 0xb2f36a88, "mt76x02_tx_complete_skb" },
	{ 0xe745756b, "mt76_sta_state" },
	{ 0x56106443, "mt76x02_mcu_msg_send" },
	{ 0x48f007b2, "mt76x2_phy_tssi_compensate" },
	{ 0xad078aed, "ieee80211_stop_queues" },
	{ 0x9375e966, "mt76x02_mac_cc_reset" },
	{ 0x628ded48, "mt76x02_bss_info_changed" },
	{ 0xbb9e4ff5, "mt76x02_init_agc_gain" },
	{ 0xca9323a5, "mt76x2_phy_update_channel_gain" },
	{ 0x36733592, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4445461c, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdc4b10e2, "mt76x02_add_interface" },
	{ 0x1ed2a17a, "____mt76_poll_msec" },
	{ 0x31540a96, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x993dfc70, "mt76x02_config_mac_addr_list" },
	{ 0x711ae862, "mt76_get_sar_power" },
	{ 0x1fedf96b, "mt76x02_tx_prepare_skb" },
	{ 0x5e1ecd4c, "mt76x02_mcu_cleanup" },
	{ 0x657c9c5, "mt76x02_ampdu_action" },
	{ 0x1adfcdcc, "mt76x02_mcu_calibrate" },
	{ 0x4ff1152e, "mt76x02_conf_tx" },
	{ 0x23684838, "mt76x02_mcu_function_select" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0x85b8aa99, "mt76_sw_scan" },
	{ 0x3bf8664, "mt76_sta_pre_rcu_remove" },
	{ 0xbd3a21c4, "pcim_iomap_table" },
	{ 0xf1884ac6, "mt76x2_get_temp_comp" },
	{ 0xa9ecbe67, "mt76x02_mac_wcid_setup" },
	{ 0x8740b04, "napi_schedule_prep" },
	{ 0x5a0d8738, "napi_disable" },
	{ 0xd82cc218, "__mt76_poll" },
	{ 0x65dda7a2, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x2078672d, "pcim_enable_device" },
	{ 0xb975c3f0, "mt76x2_phy_set_txpower_regs" },
	{ 0xc821402e, "mt76x2_phy_set_txpower" },
	{ 0x99cf831, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x3cafdea2, "mt76x02_mac_start" },
	{ 0xc4b01258, "mt76x02_remove_interface" },
	{ 0x8a97f20f, "mt76x02_dma_init" },
	{ 0xc08dadd4, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x81daa900, "devm_request_threaded_irq" },
	{ 0xab500f78, "pci_choose_state" },
	{ 0x638cb7c5, "mt76x02_set_ethtool_fwver" },
	{ 0x540ec53e, "mt76x02_tx_set_txpwr_auto" },
	{ 0x8110e649, "mt76x02_set_key" },
	{ 0x97ccf431, "mt76x02_mcu_parse_response" },
	{ 0x508273e4, "mt76_release_buffered_frames" },
	{ 0xb65284dc, "request_firmware" },
	{ 0xb1e90fc3, "mt76_get_txpower" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0x54db5af3, "mt76_write_mac_initvals" },
	{ 0xeb29b270, "mt76x2_reset_wlan" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BA521187B36C1C582D3458F");

MODULE_INFO(suserelease, "ALP-0.1");
