#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x8b741157, "uart_insert_char" },
	{ 0x613ff1c0, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x25d2ec7c, "uart_try_toggle_sysrq" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xac14d822, "do_SAK" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc01056e6, "devm_kmalloc" },
	{ 0x9fd4386e, "device_property_read_u32_array" },
	{ 0x2996fd68, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x7141921e, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0xa682ea8, "wake_up_process" },
	{ 0x2e0b7f89, "sched_set_fifo" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5f0c2aa6, "uart_add_one_port" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0x6a386383, "gpiochip_add_data_with_key" },
	{ 0x81daa900, "devm_request_threaded_irq" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7ac40466, "spi_setup" },
	{ 0x6328bd41, "device_get_match_data" },
	{ 0x706b308d, "__devm_regmap_init_spi" },
	{ 0x75b82391, "dev_err_probe" },
	{ 0x7616020f, "spi_get_device_id" },
	{ 0xdc21b3d7, "i2c_client_get_device_id" },
	{ 0x39e83d10, "__devm_regmap_init_i2c" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x55d56057, "uart_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x3f756f02, "i2c_register_driver" },
	{ 0x1724d595, "__spi_register_driver" },
	{ 0x3abbc805, "i2c_del_driver" },
	{ 0x39b0b34e, "uart_unregister_driver" },
	{ 0xf8449587, "regmap_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe383df7b, "uart_handle_cts_change" },
	{ 0x3960205c, "uart_handle_dcd_change" },
	{ 0x20554944, "kthread_queue_work" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2f9797b, "kthread_queue_delayed_work" },
	{ 0x7b1e2f37, "gpiochip_get_data" },
	{ 0x145ba9c4, "driver_unregister" },
	{ 0x9014d456, "regmap_update_bits_base" },
	{ 0xb550ebab, "kthread_cancel_delayed_work_sync" },
	{ 0xed83cd58, "uart_remove_one_port" },
	{ 0xdc70547a, "kthread_flush_worker" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xffcda234, "gpiochip_remove" },
	{ 0x8da5bad0, "regmap_write" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f80433f, "regcache_cache_bypass" },
	{ 0x9730b8db, "uart_get_baud_rate" },
	{ 0x98bd7d59, "uart_update_timeout" },
	{ 0x7897662a, "regmap_noinc_write" },
	{ 0x58ddc5bb, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xc35f8c35, "regmap_noinc_read" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi,regmap-i2c");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "320D2D9273A963CE11BB191");

MODULE_INFO(suserelease, "ALP-0.1");
