#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84601143, "dev_driver_string" },
	{ 0xd82db8c7, "dma_map_page_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe8c1aea6, "vfio_pci_core_register_device" },
	{ 0x633d51b, "put_device" },
	{ 0x7d2ed4c3, "iova_bitmap_set" },
	{ 0x6c1c4d51, "vfio_pci_core_unregister_device" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x32aae698, "pci_iov_vf_id" },
	{ 0x2cee5a34, "vfio_pci_core_request" },
	{ 0x24bc40ac, "fput" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xc898ce7e, "vfio_pci_core_release_dev" },
	{ 0x1ddcfc34, "pdsc_get_pf_struct" },
	{ 0x6e2aa0f0, "vfio_combine_iova_ranges" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8be3668, "pds_client_register" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x45b87b4f, "pdsc_register_notify" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcaf2829d, "vfio_pci_core_read" },
	{ 0x70c1d51e, "sg_alloc_table_from_pages_segment" },
	{ 0x63365435, "dma_sync_single_for_cpu" },
	{ 0xaeb4d244, "vfio_pci_core_ioctl" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce714617, "pdsc_unregister_notify" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd997c7b0, "vfio_mig_get_next_state" },
	{ 0x999e8297, "vfree" },
	{ 0x4047630e, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1dfdf459, "vfio_pci_core_aer_err_detected" },
	{ 0xd46e5c36, "pdsc_adminq_post" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0x56698ee4, "vfio_pci_core_ioctl_feature" },
	{ 0x5fdf1b43, "stream_open" },
	{ 0xce8fbf2e, "vfio_pci_core_close_device" },
	{ 0xce91a13a, "dma_unmap_sg_attrs" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xada36e53, "vfio_pci_core_finish_enable" },
	{ 0x8e05cb44, "vfio_pci_core_match" },
	{ 0xf9a482f9, "msleep" },
	{ 0x834a3471, "_vfio_alloc_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x759efa4b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe4fc526c, "vfio_pci_core_enable" },
	{ 0x41c7c9b6, "vfio_pci_core_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xce369269, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x69f4a9bf, "dma_unmap_page_attrs" },
	{ 0xf6a15733, "vfio_pci_core_mmap" },
	{ 0xcc29eee0, "vfio_pci_core_init_dev" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0xda839b52, "dma_sync_single_for_device" },
	{ 0x68ea89f0, "pds_client_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "vfio-pci-core,pds_core,vfio");

MODULE_ALIAS("vfio_pci:v00001DD8d00001003sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "441742630418811D2EE7C7B");

MODULE_INFO(suserelease, "ALP-0.1");
