#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xc83eeba0, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x358f68f4, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xa604f7c6, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x0a3dc9a0, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x9eb32a9b, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xe0cc18f5, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xdeeb541a, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xaa8a0f87, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xb652743b, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x185846ab, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x543abbbe, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x2df574e3, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x7519ffe3, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xab4b2222, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x67ca6434, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xfd672911, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xc2c5498a, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xad46d3e9, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xb317217d, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xee08b6d8, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xcd1e7e39, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xccae195f, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xae4eccec, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x1a0da8c1, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x599adff2, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf496101a, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36e26217, "__put_cred" },
	{ 0x16599258, "sk_error_report" },
	{ 0x4d6f9e5e, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9f1beb1c, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8b719a74, "sock_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x35f9c389, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd133af02, "module_put" },
	{ 0x437f6eb0, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3231423, "sk_free" },
	{ 0x88fcec01, "kfree_skb_reason" },
	{ 0xbbbc00dc, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbf12d4ed, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb97e3bfc, "sock_recv_errqueue" },
	{ 0x381d16d8, "lock_sock_nested" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x85f4aff7, "sk_alloc" },
	{ 0x4fcddc04, "sock_no_socketpair" },
	{ 0x356b81c0, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x601e52cd, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xaf95fa91, "nonseekable_open" },
	{ 0xfa1ea1b1, "sk_psock_drop" },
	{ 0xda3b166a, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf529415, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xfeef88fe, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe4f37167, "sock_setsockopt" },
	{ 0xd92bc221, "sock_init_data" },
	{ 0x669fbb25, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x390ca24, "sock_map_close" },
	{ 0x391fb334, "sock_queue_rcv_skb_reason" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5abaf04d, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8a754a6c, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd963b57d, "sock_map_unhash" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xfb44f916, "__module_get" },
	{ 0x990bb132, "sk_stream_error" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "39BA75A7626B9DD0340926A");

MODULE_INFO(suserelease, "ALP-0.1");
