#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(key_type_trusted, 0x3cc4b494, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32503785, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x633d51b, "put_device" },
	{ 0x66c64bdb, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x85e8bc9c, "tpm_default_chip" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xda53deae, "crypto_shash_setkey" },
	{ 0x3d94d861, "user_describe" },
	{ 0xbbb1b575, "tee_shm_register_kernel_buf" },
	{ 0x5a921311, "strncmp" },
	{ 0x4780e069, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x145ba9c4, "driver_unregister" },
	{ 0x9c7e6d88, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0x2ffd34e8, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x224c2873, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf76679d8, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5d4d128, "tpm_is_tpm2" },
	{ 0xb453ccb2, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0xb57add93, "tee_client_close_context" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x53a8f834, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5adf45d0, "tee_shm_free" },
	{ 0x65f2741, "tpm_put_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9d2526c2, "tee_client_open_context" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0x3dd28c5, "crypto_alloc_shash" },
	{ 0x7162b51e, "__static_call_update" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x8c3366c9, "driver_register" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc6791d0b, "tee_client_close_session" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x746ba5a4, "tpm_transmit_cmd" },
	{ 0xe6370156, "tee_client_invoke_func" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0x1e3feace, "look_up_OID" },
	{ 0xb1850ef6, "unregister_key_type" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xe5c9b14e, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7df97a0d, "tee_client_open_session" },
	{ 0x521293b7, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x69f0bb50, "tee_bus_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x686ea42f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder,tee");

MODULE_ALIAS("tee:f04a0fe7-1f5d-4b9b-abf7-619b85b4ce8c*");

MODULE_INFO(srcversion, "F053D6E5A97C6EC6D93379F");

MODULE_INFO(suserelease, "ALP-0.1");
