#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_emu10k1_memblk_map, 0xd9df7127, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0xf30c4f51, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x4dfef84f, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0xbe5ada51, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xd3d4f8b3, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x2f7af7c4, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x2a2e2b17, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x4dfb7d8a, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x98edb4d2, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd95ed9ef, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2b3fd828, "snd_dma_alloc_dir_pages" },
	{ 0x81daa900, "devm_request_threaded_irq" },
	{ 0x20250eb8, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3f368d19, "snd_rawmidi_transmit" },
	{ 0xea3b07ad, "snd_ac97_write_cache" },
	{ 0xd9fc6983, "snd_ctl_add" },
	{ 0x9b419ece, "snd_ac97_resume" },
	{ 0xc2f9f7c6, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x62c234f7, "snd_seq_device_new" },
	{ 0x9c38ee64, "snd_card_register" },
	{ 0xb65284dc, "request_firmware" },
	{ 0xdf7ef432, "snd_devm_alloc_dir_pages" },
	{ 0xf2fd4532, "__pci_register_driver" },
	{ 0xb8ce3f79, "snd_pcm_hw_constraint_minmax" },
	{ 0xf5dfc0e4, "snd_timer_interrupt" },
	{ 0x5fbf5b22, "param_array_ops" },
	{ 0x73594e89, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x34ba0859, "snd_card_rw_proc_new" },
	{ 0x9e069f25, "snd_ac97_update_bits" },
	{ 0x73a7e310, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7de38686, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0xc4fbc8f7, "snd_ctl_remove" },
	{ 0x7c8b3aed, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x34833dea, "snd_ctl_find_id" },
	{ 0x32066026, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd5fa8b76, "pci_read_config_dword" },
	{ 0x6d33dc1a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf08b2d65, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc0d12e17, "snd_ctl_remove_id" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x61a93abb, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9e3444f9, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xdb0d8087, "snd_ac97_suspend" },
	{ 0x5288b8b4, "snd_pcm_lib_malloc_pages" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0x6df48bf5, "snd_ctl_boolean_mono_info" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0xce807a25, "up_write" },
	{ 0xde13f94f, "snd_pcm_lib_free_pages" },
	{ 0x321f45ca, "snd_hwdep_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74646e62, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4202eab8, "snd_ctl_notify" },
	{ 0xb4f3bbaf, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b87c6e8, "snd_pcm_set_managed_buffer" },
	{ 0xd25d242b, "snd_timer_new" },
	{ 0xa7e223c3, "snd_ctl_rename" },
	{ 0x3d002184, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb850e3ef, "snd_ac97_update" },
	{ 0xa17bd97, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x1a07eb46, "pci_set_master" },
	{ 0x224c2873, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb2a414c2, "snd_rawmidi_new" },
	{ 0x46fc89d4, "dma_set_coherent_mask" },
	{ 0x1d129857, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1cd7929e, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x241cedd5, "snd_rawmidi_set_ops" },
	{ 0x2775efad, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0xdd94d08, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdb46989e, "snd_info_create_card_entry" },
	{ 0x572abcca, "dma_set_mask" },
	{ 0x36937886, "snd_device_free" },
	{ 0xcd95d7ec, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x864aeae7, "param_ops_int" },
	{ 0x2078672d, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x61d4b8c4, "snd_pcm_hw_rule_noresample" },
	{ 0x8dec1f41, "snd_ac97_read" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-rawmidi,snd-ac97-codec,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "62DEFFC51F51A904CF9690C");

MODULE_INFO(suserelease, "ALP-0.1");
