#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nau8825_enable_jack_detect, 0xdb90df44, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f756f02, "i2c_register_driver" },
	{ 0xddcdcc2e, "snd_soc_info_volsw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x5d3cd5db, "snd_soc_dapm_force_bias_level" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d686275, "snd_soc_info_enum_double" },
	{ 0x3f38f821, "snd_soc_get_volsw" },
	{ 0xf8449587, "regmap_read" },
	{ 0x937db052, "snd_soc_put_volsw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9014d456, "regmap_update_bits_base" },
	{ 0x3abbc805, "i2c_del_driver" },
	{ 0x8a7dd337, "regmap_register_patch" },
	{ 0x3613209a, "snd_soc_dapm_get_enum_double" },
	{ 0xb464e2e6, "regmap_raw_write" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x30465467, "snd_soc_dapm_put_enum_double" },
	{ 0x5f880f1c, "device_property_present" },
	{ 0xf18002cd, "regcache_cache_only" },
	{ 0xa9930c76, "regcache_sync" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x8da5bad0, "regmap_write" },
	{ 0x81daa900, "devm_request_threaded_irq" },
	{ 0xc01056e6, "devm_kmalloc" },
	{ 0xdff707e3, "snd_soc_bytes_info_ext" },
	{ 0x7ed5ca00, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e7d7bdd, "regmap_raw_read" },
	{ 0xcf2a6966, "up" },
	{ 0xb8ce3f79, "snd_pcm_hw_constraint_minmax" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf215664e, "snd_soc_dapm_disable_pin" },
	{ 0x29b90888, "snd_soc_dapm_force_enable_pin" },
	{ 0x507d6756, "snd_soc_put_enum_double" },
	{ 0x29d37ae2, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0x3f76b813, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb1369a1d, "snd_soc_dapm_sync" },
	{ 0xb6d4cf36, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x39e83d10, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9fd4386e, "device_property_read_u32_array" },
	{ 0xc9e007ba, "snd_soc_get_enum_double" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,regmap-i2c");

MODULE_ALIAS("i2c:nau8825");
MODULE_ALIAS("acpi*:10508825:*");

MODULE_INFO(srcversion, "C930C0D4861D53AE05DE42E");

MODULE_INFO(suserelease, "ALP-0.1");
