#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ubi_do_get_device_info, 0x7bfe6224, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x2146cc9d, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xf4d23ec3, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x545d7931, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x10cc1cc1, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x49dc46ec, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x59c94bdc, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xa081f9a9, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x113101f9, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xe0f2228c, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x2f33ee05, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x047eeccf, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x1ed17258, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x14136c57, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb2dd46d, "get_mtd_device" },
	{ 0xa682ea8, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x793fc6c1, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x633d51b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcaf27597, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd133af02, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x33b029ab, "compat_ptr_ioctl" },
	{ 0x218bf2e7, "cdev_add" },
	{ 0xce7af66, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb84c62b7, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd76b2cb0, "kmem_cache_free" },
	{ 0x68ff5714, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa0f68b75, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf20b6766, "put_mtd_device" },
	{ 0xa664c814, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf9b18fc, "mtd_read" },
	{ 0xc5ae7fca, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa0187dd0, "freezing_slow_path" },
	{ 0xec19a7aa, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0xfc0015d6, "kern_path" },
	{ 0x356b81c0, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x91be44b8, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b6551ec, "kthread_create_on_node" },
	{ 0xdd969597, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xffafcb39, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd4bf1a24, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40985489, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb357681c, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1b034c14, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1fe26ae1, "seq_open" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x164f46b7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1e882776, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xbaddeeab, "class_register" },
	{ 0x7b68a427, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0xe7effe54, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x8c48db4, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0xe07d488f, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x5abaf04d, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x55c8553a, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x4d73b678, "dev_set_name" },
	{ 0x43b14164, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0a26648, "cdev_device_del" },
	{ 0x77d6628d, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa2dd9ac, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xeb660875, "kmem_cache_create" },
	{ 0x25b9a8e4, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x31bc671f, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x20fe20f0, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "CF39C1057E2E8BE883B7974");

MODULE_INFO(suserelease, "ALP-0.1");
