#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(prestera_device_register, 0xbb1731ed, "");
SYMBOL_CRC(prestera_device_unregister, 0xb1d23d81, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6e65eee, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x727d2d84, "eth_type_trans" },
	{ 0x2eee846a, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd82db8c7, "dma_map_page_attrs" },
	{ 0x72d9f10, "napi_complete_done" },
	{ 0xd191bb9e, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xafcc69b4, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x110e22ba, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4d243bc, "__alloc_skb" },
	{ 0xdb96407e, "switchdev_bridge_port_offload" },
	{ 0xb2df24e5, "flow_block_cb_incref" },
	{ 0xd9b4a135, "flow_rule_match_ports_range" },
	{ 0x61a93abb, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3db6cc1, "free_fib_info" },
	{ 0xf14b1e6c, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x22f1b00a, "vlan_dev_real_dev" },
	{ 0xee25d807, "__dev_get_by_index" },
	{ 0x44834f59, "devlink_port_unregister" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x264f57e9, "init_net" },
	{ 0xb5bac139, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x88fcec01, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa77cbfa1, "flow_block_cb_decref" },
	{ 0x2e29f29e, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x47dd427a, "napi_enable" },
	{ 0x94781de2, "register_netdev" },
	{ 0x3cb6960c, "unregister_fib_notifier" },
	{ 0x20ff1591, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x217e64cc, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x4e186925, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0xa718a217, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62cc890f, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x7f6af1ea, "devlink_trap_report" },
	{ 0x8e1dd96, "__neigh_event_send" },
	{ 0xd1c2d473, "flow_block_cb_alloc" },
	{ 0x1cadd2b7, "switchdev_handle_port_obj_add" },
	{ 0x7ccacdda, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3520d6ff, "__neigh_create" },
	{ 0xb0919e6c, "netdev_walk_all_upper_dev_rcu" },
	{ 0x8ffb153a, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb45feb04, "neigh_destroy" },
	{ 0xedcf0f60, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xfd876576, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x345c8396, "netdev_master_upper_dev_get_rcu" },
	{ 0xb2ffb102, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x4afc41af, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb88dc399, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8cd88f22, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92b2a037, "devlink_priv" },
	{ 0x5f7b725e, "devlink_port_register_with_ops" },
	{ 0x9093083b, "netif_carrier_on" },
	{ 0xe94a40fa, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x7875a615, "devlink_trap_groups_register" },
	{ 0x26dfea32, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0x54aed2f, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc84943a2, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x8740b04, "napi_schedule_prep" },
	{ 0x4ba65bac, "__fib_lookup" },
	{ 0x5a0d8738, "napi_disable" },
	{ 0x43866d04, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xa1792c64, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x211189a2, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xeb07666e, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x1b1dee2a, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2c69e63c, "alloc_etherdev_mqs" },
	{ 0x67a7a207, "netdev_lower_get_next" },
	{ 0x7e97bd1a, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xaed7cbaa, "br_vlan_enabled" },
	{ 0x93f4a334, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf60825f9, "devlink_unregister" },
	{ 0x47ad40c9, "dma_pool_create" },
	{ 0x2c5010a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba39b22e, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xff0addf5, "register_fib_notifier" },
	{ 0xfdc55429, "l3mdev_fib_table_rcu" },
	{ 0xfe27fba4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7241ed6a, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x69f4a9bf, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xda839b52, "dma_sync_single_for_device" },
	{ 0xa6b47374, "flow_rule_match_eth_addrs" },
	{ 0xda0b60c9, "devlink_port_attrs_set" },
	{ 0x7602fe8d, "flow_block_cb_priv" },
	{ 0x1b8a37cc, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6774bd33, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xad127bbe, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xe95c0840, "devlink_free" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x21ae9cbe, "netdev_warn" },
	{ 0x2a3351e7, "flow_rule_match_ipv4_addrs" },
	{ 0x2af31c70, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x9dac9d4d, "fib_table_lookup" },
	{ 0xcbf99e25, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7f9dc7fb, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7975513e, "pskb_expand_head" },
	{ 0x24730487, "switchdev_handle_port_attr_set" },
	{ 0x8435570, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x84601143, "dev_driver_string" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "8ABF5DC680D6AC3C3E75CC1");

MODULE_INFO(suserelease, "ALP-0.1");
