#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(typec_altmode_update_active, 0x1020937c, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xfef0b48e, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0xc2009f24, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x0750b608, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xe3c49368, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x32ff2dce, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x512a88f5, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x6ce9e3bc, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x0c95e907, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x6ef7031e, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x5bc75186, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xf0908620, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xdbddf190, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x534bb56d, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x6413c9cd, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x8fd20b5b, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xa7a1e284, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x204b7bef, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x4b56c55e, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xdedb4091, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x3af172b5, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xde6eda2f, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x8731ed9c, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x01eab238, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xd6e97bc1, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x7ad1d10f, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x402d4728, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x514d16c3, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x1af6b1ac, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xa753115e, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x6274dbbc, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xbd800600, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xbb60032e, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x2766d713, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x96848fab, "_gpl");
SYMBOL_CRC(typec_register_port, 0x7d4e3375, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x9b9384e3, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xea00f04a, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x1cc89ce8, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x54445dd7, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x23e7f92b, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x960eba59, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xf7c14751, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x2b40e0cb, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xa4c6656a, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x4f3f2e6d, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xcd2dfe07, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xa38627b0, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x118b8415, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x60d9e67a, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x909b65c7, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xff2d443f, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xffd40804, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x41f8a03c, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xa361d6e1, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0xe509745e, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xae6fb094, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x3a9b1f7f, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xdfdaed5f, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x12c6ee3a, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x7c7b7489, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x08619eff, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x020c88ae, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xa3113e34, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x6b4ef433, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x16beb3f6, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x33e226b4, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xbd3ac1d7, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xa987d0e1, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0xc33d8e0e, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xe7abb661, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x638ca5ac, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xec19a7aa, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xc067a90c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14aa1b85, "fwnode_property_read_string" },
	{ 0xb9e3073, "fwnode_property_present" },
	{ 0x3c5a01f8, "component_master_del" },
	{ 0xb3779fc5, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa9c3a12f, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfa792699, "component_bind_all" },
	{ 0xaae9d49d, "device_match_name" },
	{ 0x6a553d30, "kobject_uevent" },
	{ 0x87b6bac6, "fwnode_connection_find_matches" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xa48b3422, "component_unbind_all" },
	{ 0x8c3366c9, "driver_register" },
	{ 0xbaddeeab, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2009388d, "__dev_fwnode" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x5180915, "bus_register" },
	{ 0x3d21479e, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x8c652db4, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4d73b678, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6601c97a, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x77d6628d, "device_unregister" },
	{ 0x51b24b41, "acpi_bus_for_each_dev" },
	{ 0xa2dd9ac, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x6663c2d9, "fwnode_connection_find_match" },
	{ 0x83db9bce, "fwnode_get_next_child_node" },
	{ 0x88f59c01, "device_for_each_child" },
	{ 0x25b9a8e4, "get_device" },
	{ 0xeb6d1e6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8f327a26, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x54f086ca, "device_match_fwnode" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x633d51b, "put_device" },
	{ 0xd29241d7, "fwnode_property_read_u32_array" },
	{ 0xd133af02, "module_put" },
	{ 0xd4fc157a, "sysfs_create_link" },
	{ 0xb84ab577, "fwnode_get_name" },
	{ 0xa9787c6c, "kobject_uevent_env" },
	{ 0x25efcf37, "sysfs_update_group" },
	{ 0x479f5403, "bus_unregister" },
	{ 0xc2c0e1bc, "_dev_err" },
	{ 0x68bd1f3, "device_add" },
	{ 0xb2d8c966, "sysfs_remove_link" },
	{ 0x3965f938, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x145ba9c4, "driver_unregister" },
	{ 0xa664c814, "class_unregister" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DDC1386235D8277DE5A3A92");

MODULE_INFO(suserelease, "ALP-0.1");
