#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42bb9ed0, "km_state_notify" },
	{ 0xf8721793, "ns_capable" },
	{ 0x85f4aff7, "sk_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd92bc221, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x68ec1a0f, "proc_create_net_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0x4d6f9e5e, "skb_queue_purge_reason" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3231423, "sk_free" },
	{ 0x2a8d32fd, "xfrm_policy_byid" },
	{ 0x77eb2d26, "xfrm_audit_policy_delete" },
	{ 0xdcc5345b, "xfrm_policy_destroy" },
	{ 0xd6c60869, "xfrm_policy_alloc" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x6c841c9e, "xfrm_state_delete" },
	{ 0x50bc2b79, "xfrm_audit_state_delete" },
	{ 0xd1b70799, "__xfrm_state_destroy" },
	{ 0x3d4da2a0, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x16bb56d3, "xfrm_migrate" },
	{ 0xa474a4f6, "xfrm_state_alloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0x754d539c, "strlen" },
	{ 0xa6fbdc2c, "xfrm_init_state" },
	{ 0x6c41aed2, "xfrm_state_update" },
	{ 0x3f8a3fd6, "xfrm_audit_state_add" },
	{ 0x76847e1, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0x94cba776, "xfrm_policy_insert" },
	{ 0xefd7577b, "xfrm_audit_policy_add" },
	{ 0xf116c6c4, "xfrm_find_acq_byseq" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x264f57e9, "init_net" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xf2ab3a78, "xfrm_alloc_spi" },
	{ 0x9999731e, "xfrm_find_acq" },
	{ 0xbabcd344, "sock_no_bind" },
	{ 0x963e1557, "sock_no_connect" },
	{ 0x4fcddc04, "sock_no_socketpair" },
	{ 0xbbbc00dc, "sock_no_accept" },
	{ 0x92fafb74, "sock_no_getname" },
	{ 0xa618876c, "datagram_poll" },
	{ 0xfeef88fe, "sock_no_ioctl" },
	{ 0xbf12d4ed, "sock_no_listen" },
	{ 0xfd0cdc60, "sock_no_shutdown" },
	{ 0x601e52cd, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35f9c389, "proto_register" },
	{ 0x9646a935, "register_pernet_subsys" },
	{ 0x8b719a74, "sock_register" },
	{ 0xb9e9bfee, "unregister_pernet_subsys" },
	{ 0xc27e2f4a, "xfrm_register_km" },
	{ 0x9f1beb1c, "proto_unregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdf529415, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1c674e55, "sock_rfree" },
	{ 0x4dafd830, "skb_queue_tail" },
	{ 0x88fcec01, "kfree_skb_reason" },
	{ 0x4d243bc, "__alloc_skb" },
	{ 0x2c5010a, "skb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0x14194633, "xfrm_policy_walk" },
	{ 0xde4cdc22, "xfrm_policy_walk_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc9ef99e3, "skb_recv_datagram" },
	{ 0x99e19ad0, "skb_copy_datagram_iter" },
	{ 0x96527c11, "skb_free_datagram" },
	{ 0x2f8c588c, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x9fd48e70, "skb_copy" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x1da7ddde, "xfrm_state_walk_done" },
	{ 0x1b74095b, "xfrm_state_walk" },
	{ 0xc5044320, "xfrm_state_lookup" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0xe8b70f81, "sock_i_ino" },
	{ 0x82fee7c8, "sock_i_uid" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x40985489, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0x4b4c3a69, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0x822dc109, "xfrm_policy_flush" },
	{ 0xd72a242, "km_policy_notify" },
	{ 0xfde6fef1, "xfrm_state_flush" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "8B888226928ABE2D622F1D8");

MODULE_INFO(suserelease, "ALP-0.1");
