#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_fw_download_done, 0xa5c05d93, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x07906687, "");
SYMBOL_CRC(nfc_find_se, 0x9c65720a, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x32f80442, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x7cde70e0, "");
SYMBOL_CRC(nfc_tm_data_received, 0x8ae61b94, "");
SYMBOL_CRC(nfc_tm_activated, 0xfb97ca57, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xdbdb0ca5, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x1a948773, "");
SYMBOL_CRC(nfc_targets_found, 0x5f0381b8, "");
SYMBOL_CRC(nfc_target_lost, 0x7439a4b4, "");
SYMBOL_CRC(nfc_driver_failure, 0x35f3264e, "");
SYMBOL_CRC(nfc_add_se, 0x530325bb, "");
SYMBOL_CRC(nfc_remove_se, 0xf0c6d880, "");
SYMBOL_CRC(nfc_se_transaction, 0x004da559, "");
SYMBOL_CRC(nfc_se_connectivity, 0xd004f185, "");
SYMBOL_CRC(nfc_class, 0xfeb4b264, "");
SYMBOL_CRC(nfc_allocate_device, 0x502972fb, "");
SYMBOL_CRC(nfc_register_device, 0xb7375d1a, "");
SYMBOL_CRC(nfc_unregister_device, 0xb61af064, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x3447286a, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x2198ffc3, "");
SYMBOL_CRC(nfc_proto_register, 0x4b0bd13d, "");
SYMBOL_CRC(nfc_proto_unregister, 0x15bc83ff, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0xd9b4e7a0, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b719a74, "sock_register" },
	{ 0xa618876c, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x633d51b, "put_device" },
	{ 0x4d243bc, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x35f9c389, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4dafd830, "skb_queue_tail" },
	{ 0xd133af02, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x41429f04, "__sock_recv_timestamp" },
	{ 0xfd0cdc60, "sock_no_shutdown" },
	{ 0x8edea9e7, "devm_kfree" },
	{ 0x264f57e9, "init_net" },
	{ 0xb5bac139, "skb_pull" },
	{ 0x68bd1f3, "device_add" },
	{ 0x2d9f13de, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3231423, "sk_free" },
	{ 0x88fcec01, "kfree_skb_reason" },
	{ 0xbbbc00dc, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e29f29e, "skb_push" },
	{ 0xbf12d4ed, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa664c814, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xf8721793, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x381d16d8, "lock_sock_nested" },
	{ 0xbabcd344, "sock_no_bind" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x99e19ad0, "skb_copy_datagram_iter" },
	{ 0xfa26b693, "rfkill_alloc" },
	{ 0x18f0ec1f, "class_dev_iter_init" },
	{ 0x85f4aff7, "sk_alloc" },
	{ 0x7bc7739a, "device_del" },
	{ 0x5e902e9b, "__sock_recv_wifi_status" },
	{ 0x4fcddc04, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x601e52cd, "sock_no_mmap" },
	{ 0xbd782e6c, "skb_trim" },
	{ 0xc48dba9, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7c9ee6d7, "__pm_runtime_resume" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xc9ef99e3, "skb_recv_datagram" },
	{ 0xc3618191, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92fafb74, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9fd48e70, "skb_copy" },
	{ 0xdf529415, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xfeef88fe, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x895b41d, "genl_unregister_family" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0x3b397bed, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbaddeeab, "class_register" },
	{ 0x945485df, "__pm_runtime_idle" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd92bc221, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x669fbb25, "release_sock" },
	{ 0xadc8c5ac, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d21479e, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x96527c11, "skb_free_datagram" },
	{ 0x391fb334, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7bc1aaaf, "class_dev_iter_next" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x2c5010a, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4d73b678, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d305903, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xa2dd9ac, "device_initialize" },
	{ 0x3cbeafac, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf99c6434, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x963e1557, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x99f8bd75, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x193207ca, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16599258, "sk_error_report" },
	{ 0x4d6f9e5e, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x409cf475, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9f1beb1c, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "08453F86210F371FF17EE1A");

MODULE_INFO(suserelease, "ALP-0.1");
