#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pn_sock_hash, 0x5d77192a, "");
SYMBOL_CRC(pn_sock_unhash, 0x9f31a630, "");
SYMBOL_CRC(phonet_stream_ops, 0x23c03868, "");
SYMBOL_CRC(pn_sock_get_port, 0xcd4c51d5, "");
SYMBOL_CRC(phonet_header_ops, 0xe3b77178, "");
SYMBOL_CRC(pn_skb_send, 0x68dcfe1d, "");
SYMBOL_CRC(phonet_proto_register, 0xa7354534, "");
SYMBOL_CRC(phonet_proto_unregister, 0x3055bd29, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9f1beb1c, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8b719a74, "sock_register" },
	{ 0xa618876c, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4d243bc, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc92f1f30, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x36c52a7f, "rtnl_set_sk_err" },
	{ 0x35f9c389, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd133af02, "module_put" },
	{ 0x4737dd6e, "__sk_receive_skb" },
	{ 0xfd0cdc60, "sock_no_shutdown" },
	{ 0xee25d807, "__dev_get_by_index" },
	{ 0x264f57e9, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5887c26a, "dev_remove_pack" },
	{ 0x41bec84e, "dev_get_by_index" },
	{ 0x3231423, "sk_free" },
	{ 0x88fcec01, "kfree_skb_reason" },
	{ 0xbbbc00dc, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e29f29e, "skb_push" },
	{ 0xbf12d4ed, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x381d16d8, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x99e19ad0, "skb_copy_datagram_iter" },
	{ 0x35df3380, "rtnl_register_module" },
	{ 0x85f4aff7, "sk_alloc" },
	{ 0xb9e9bfee, "unregister_pernet_subsys" },
	{ 0x4fcddc04, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x601e52cd, "sock_no_mmap" },
	{ 0x62cc890f, "__pskb_pull_tail" },
	{ 0xa9bb375f, "netif_rx" },
	{ 0x1b930a7a, "sock_common_recvmsg" },
	{ 0xbd782e6c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbd51ba95, "sk_common_release" },
	{ 0x2c312554, "seq_pad" },
	{ 0xe8b70f81, "sock_i_ino" },
	{ 0xda3b166a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc9ef99e3, "skb_recv_datagram" },
	{ 0xc3618191, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0xdbccc3dc, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40985489, "seq_printf" },
	{ 0xdf529415, "skb_clone" },
	{ 0x2dfa0109, "_copy_from_iter" },
	{ 0x1b034c14, "seq_puts" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3fbda3c1, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd92bc221, "sock_init_data" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x669fbb25, "release_sock" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x96527c11, "skb_free_datagram" },
	{ 0x391fb334, "sock_queue_rcv_skb_reason" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x82fee7c8, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x81b5c365, "__nlmsg_put" },
	{ 0x2c5010a, "skb_put" },
	{ 0x2945d7f6, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8a754a6c, "consume_skb" },
	{ 0xc8ce033b, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x72e5373c, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x15875f85, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x963e1557, "sock_no_connect" },
	{ 0x85f63021, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x68ec1a0f, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7975513e, "pskb_expand_head" },
	{ 0x9646a935, "register_pernet_subsys" },
	{ 0x4d6f9e5e, "skb_queue_purge_reason" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFD86489EA5B2B61125B163");

MODULE_INFO(suserelease, "ALP-0.1");
